/* jshint undef: true, unused: true */
/* global require */
/* global builder */

var API = require("./apiHelper")(builder);

/*
 * The Hardware Unit Configuration API plugin provides APIs to manage the unit itself, i.e.
 * settings, users, plugins, etc.
 */
API({
    /*
     * The Status API provides information about the current state of the unit,
     * i.e. what is going on, how much free space is left, etc.
     */
    status: require("./apis/status"),

    /*
     * The Settings API provides a means to programatically control the settings exposed through
     * the UI settings tab.
     */
    settings: require("./apis/settings"),

    /*
     * The Users API provides programmatic control over the registered users
     * of the system.
     */
    users: require("./apis/users"),

    /*
     * The Maintenance API allows users to perform maintenance tasks on the
     * hardware unit remotely.
     */
    maintenance: require("./apis/maintenance"),

    /*
     * The Plugins API provides information about, and eventually will allow
     * the administrator of the unit to install and update plugins.
     */
    plugins: require("./apis/plugins"),

    /*
     * The Devices API gives programmatic access to information about
     * devices connected to the unit, and also allows redetection.
     */
    devices: require("./apis/devices"),

    time: require("./apis/time"),
    notifiers: require("./apis/notifiers")
});
